Subject: RE: Last Call on LDP Fault Tolerance

From: [email-masked]
Date: Thu, 5 Apr 2001 10:28:32 -0400

> > I find...
> > > There appears to be a school of thought where it is 
> > > deemed beneficial to keep forwarding state intact 
> > > in only very limited cases such as midnight 
> > > controlled reload of routers for purposes such 
> > > as software upgrade.
> > ...odd.  When a line card fails I should like to be 
> > able to swap to a new card and continue forwarding 
> > data with only a very short (10s of ms) break.
> 
> When a line card fails, that line card will still be in the box for at
> least a few minutes, more likely the better part of an hour, maybe
> longer.  I don't know of any technician that can swap a line card in
> 10 msec.  I also don't know of any line card that can reboot in 10
> msec.  When a line card fails if there is a TE tunnel and
> local-protect on the TE tunnel, then the switch over is very fast.  If
> it is LDP without TE or TE without local protect, the 10s of msec is
> very likely not acheived.  That has absolutely nothing to do with
> LDP-FT so I don't see why you brought it up.

It has everything to do with LDP FT.
One of the key aims is to be able to switch "seamlessly" to another card
_that_is_already_in_the_box.
If the failed card was running LDP you must preserve protocol states etc.
If the failed card was a line card not running LDP, you must handle the
failed TCP connection (i.e. LDP session) and re-instate it through the
replacement card.

> At issue with LDP-FT is when the route processor fails and the line
> card does not fail.  That is when the forwarding entries remain intact
> and the LDP adjacency will be back shortly.  That is the case if the
> route processor's software is reloaded for software upgrade.

You are making huge assumptions about what processing is done where in the
system, the responsiblity of line cards, and whether line cards can be
replicated.  Features in one system may not be present in other systems.

> As I said, I'll leave it up to the authors whether they want to make
> any change to the document.  It sounds like you don't.  That's fine.

Thanks.  It looks like we will add some text to point out that state
retention is a local matter.

Adrian
--
Adrian Farrel
Movaz Networks Inc
[email-masked]

---

From: Curtis Villamizar <[email-masked]>
Date: Thu, 05 Apr 2001 14:11:49 -0400

In message <[email-masked]
ffice.net>, [email-masked] writes:
> This message is in MIME format. Since your mail reader does not understand
> this format, some or all of this message may not be legible.
> 
> ------_=_NextPart_001_01C0BDDC.B0C2B8E0
> Content-Type: text/plain;
> 	charset="iso-8859-1"
> 
> 
> 
> > > I find...

I see your point.  This is similar to the redundant control plane
case.  See my prior mail on that and why I suggested per peer
configuration of this option.

Curtis